
Foreman - Feature #2799

Ability to repush DHCP settings

07/17/2013 06:36 AM - Adrian Bridgett

Status: Duplicate   

Priority: Low   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be great to be able to repush DHCP settings out.  As it uses OMAPI, it's possible (e.g. if someone deletes the lease file) for

them to be lost which is a bit of a PITA.  This would also fix the problem reported in #748

Related issues:

Related to Foreman - Feature #3607: RFE : make sure a dhcp request exists whe... Duplicate 11/08/2013

Related to Foreman - Feature #3648: RFE: API(?) call for Foreman/Foreman-Prox... New 11/14/2013

Related to Foreman - Feature #1536: Foreman should check DHCP entries on build Closed 03/16/2012

Related to Foreman - Feature #2267: Need rake task and/or UI button for rebui... Closed 03/01/2013

Related to Foreman - Feature #4006: Re-perform orchestration steps for a host Duplicate 01/13/2014

Has duplicate Foreman - Feature #10214: Add 'Sync with DHCP Leases' to the Sm... Duplicate 04/20/2015

History

#1 - 07/17/2013 10:06 AM - Ohad Levy

agree, as a workaround see:

http://blog.theforeman.org/2012/01/recovering-lost-dhcp-reservations.html

#2 - 07/17/2013 10:47 AM - Adrian Bridgett

Ah that's super! Thanks :-)

#3 - 07/17/2013 12:37 PM - Dominic Cleal

- Category set to DHCP

#4 - 11/14/2013 02:33 PM - Dominic Cleal

- Related to Feature #3607: RFE : make sure a dhcp request exists when a host is (re)built added

#5 - 11/14/2013 02:33 PM - Dominic Cleal

- Related to Feature #3648: RFE: API(?) call for Foreman/Foreman-Proxy to write DNS records for all current Hosts added

#6 - 11/14/2013 02:35 PM - Dominic Cleal

- Related to Feature #1536: Foreman should check DHCP entries on build added

#7 - 01/14/2014 08:18 AM - Dominic Cleal

- Related to Feature #2267: Need rake task and/or UI button for rebuilding all host tftp config files added

#8 - 01/14/2014 08:18 AM - Dominic Cleal

- Related to Feature #4006: Re-perform orchestration steps for a host added

#9 - 04/21/2015 03:24 AM - Dominic Cleal

- Has duplicate Feature #10214: Add 'Sync with DHCP Leases' to the Smart Proxy dropdown added
#10 - 09/14/2015 10:09 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  This has now been implemented for Foreman 1.10 via ticket #2267.  A new "Rebuild Config" option is available from the host

list's Select Action menu, which includes DHCP record rebuilds.
